From dfff7b60df14cb6353888b9bb42814946c29f30f Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 16 2017 15:40:25 +0000
Subject: [PATCH 847/1001] Create console scripts


---

diff --git a/hubs/backend/triage.py b/hubs/backend/triage.py
index 7f7858c..50ba5ef 100755
--- a/hubs/backend/triage.py
+++ b/hubs/backend/triage.py
@@ -73,7 +73,8 @@ def triage(outbound, msg):
                 }))
 
 
-def main(args):
+def main(args=None):
+    args = args if args is not None else sys.argv
     logging.config.dictConfig(fedmsg_config['logging'])
     logging.basicConfig()
 
diff --git a/hubs/backend/worker.py b/hubs/backend/worker.py
index 8e8d8c6..30c55bc 100755
--- a/hubs/backend/worker.py
+++ b/hubs/backend/worker.py
@@ -66,7 +66,8 @@ def handle(idx, fn_name):
         session.close()
 
 
-def main(args):
+def main(args=None):
+    args = args if args is not None else sys.argv
     logging.config.dictConfig(fedmsg_config['logging'])
     logging.basicConfig()
 
diff --git a/setup.py b/setup.py
index 824eeb9..7ca61b7 100644
--- a/setup.py
+++ b/setup.py
@@ -42,5 +42,9 @@ setup(
         'moksha.consumer': [
             "cache_invalidator = hubs.backend.consumer:CacheInvalidatorExtraordinaire",  # noqa: E501
         ],
+        'console_scripts': [
+            "fedora-hubs-triage = hubs.backend.triage:main",
+            "fedora-hubs-worker = hubs.backend.worker:main",
+        ],
     },
 )
diff --git a/systemd/hubs-triage@.service b/systemd/hubs-triage@.service
index c88ebde..400ddd7 100644
--- a/systemd/hubs-triage@.service
+++ b/systemd/hubs-triage@.service
@@ -4,8 +4,9 @@ After=network.target
 Documentation=https://pagure.io/fedora-hubs/
 
 [Service]
-ExecStart=/srv/git/fedora-hubs/hubs/backend/triage.py
-WorkingDirectory=/srv/git/fedora-hubs/
+ExecStart=/usr/bin/fedora-hubs-triage
+WorkingDirectory=/srv/hubs/fedora-hubs/
+Environment=HUBS_CONFIG=/srv/hubs/fedora-hubs/config
 Type=simple
 User=root
 Group=root
diff --git a/systemd/hubs-webapp.service b/systemd/hubs-webapp.service
index 5c66951..7bee708 100644
--- a/systemd/hubs-webapp.service
+++ b/systemd/hubs-webapp.service
@@ -5,7 +5,8 @@ Documentation=https://pagure.io/fedora-hubs/
 
 [Service]
 ExecStart=/usr/bin/gunicorn -b 0.0.0.0:80 --threads 12 --log-config logging.ini --reload hubs.app:app
-WorkingDirectory=/srv/git/fedora-hubs/
+WorkingDirectory=/srv/hubs/fedora-hubs/
+Environment=HUBS_CONFIG=/srv/hubs/fedora-hubs/config
 Type=simple
 User=root
 Group=root
diff --git a/systemd/hubs-worker@.service b/systemd/hubs-worker@.service
index bf6f0ef..a84f3de 100644
--- a/systemd/hubs-worker@.service
+++ b/systemd/hubs-worker@.service
@@ -4,8 +4,8 @@ After=network.target
 Documentation=https://pagure.io/fedora-hubs/
 
 [Service]
-ExecStart=/srv/git/fedora-hubs/hubs/backend/worker.py
-WorkingDirectory=/srv/git/fedora-hubs/
+ExecStart=/usr/bin/fedora-hubs-worker
+Environment=HUBS_CONFIG=/srv/git/fedora-hubs/config
 Type=simple
 User=root
 Group=root

